summaryrefslogtreecommitdiff
path: root/recipes-kernel/rsi-91x/files/rs9113.reset
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-kernel/rsi-91x/files/rs9113.reset')
-rwxr-xr-xrecipes-kernel/rsi-91x/files/rs9113.reset25
1 files changed, 25 insertions, 0 deletions
diff --git a/recipes-kernel/rsi-91x/files/rs9113.reset b/recipes-kernel/rsi-91x/files/rs9113.reset
new file mode 100755
index 0000000..7992f7d
--- /dev/null
+++ b/recipes-kernel/rsi-91x/files/rs9113.reset
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Reset rs9113
+# Must be done after /etc/init.d/mts-io executes, and
+# before any code that probes the USB bus.
+function do_reset {
+ if ! [[ -w /sys/devices/platform/mts-io/wifi-bt-reset ]] ; then
+ exit 0
+ fi
+ /etc/init.d/rs9113 reset
+}
+
+case $1 in
+ start)
+ do_reset
+ ;;
+ stop)
+ ;;
+ reload)
+ do_reset
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|reload}"
+ exit 2
+ ;;
+esac